#
# spec file for package commonc++ (Version 1.5.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         commonc++
Copyright:    Copyright 2000 The OpenLDAP Foundation
Group:        Development/Libraries
Provides:     commonc++
#Conflicts:    
Autoreqprov:  on
Summary:      A GNU package for creating portable C++ program
Version:      1.5.0
Release:      35
Source:       %{name}-%{version}.tar.bz2
Patch:	      CommonC++-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root
%package -n   commonc++-devel
Requires:     commonc++
Summary:      Files for developing CommonC++ applications
Autoreqprov:  on
Group:        Development/Libraries
%prep
#%setup -n %{name}-%{version} 
%setup -n CommonC++-%version 
%patch

%build
export CFLAGS="$RPM_OPT_FLAGS"
%{?suse_update_config:%{suse_update_config -f config}}
autoconf
./configure --prefix=/usr --exec-prefix=/usr --enable-shared --mandir=%{_mandir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
cd doc/man3 ; /usr/bin/install -c -m 644 *.3cc $RPM_BUILD_ROOT/%{_mandir}/man3
ldconfig -vn $RPM_BUILD_ROOT/usr/lib

%post

%postun

%files
/usr/lib/libccxx-1.5.so.0
/usr/lib/libccxx-1.5.so.0.0.0
/usr/lib/libccstd-1.5.so.0.0.0
/usr/lib/libccio-1.5.so.0
/usr/lib/libccio-1.5.so.0.0.0
/usr/lib/libccstd-1.5.so.0
%doc AUTHORS COPYING ChangeLog INSTALL NEWS OVERVIEW.TXT README THANKS TODO

%files -n commonc++-devel 
/usr/include/cc++
/usr/share/aclocal/ost_check.m4
/usr/lib/libccxx.a
/usr/lib/libccxx.la
/usr/lib/libccxx.so
/usr/lib/libccstd.a
/usr/lib/libccstd.la
/usr/lib/libccstd.so
/usr/lib/libccio.a
/usr/lib/libccio.la
/usr/lib/libccio.so
/usr/bin/ccgnu-config
%doc AUTHORS COPYING ChangeLog INSTALL NEWS OVERVIEW.TXT README THANKS TODO
%doc demo
%doc doc/html
%doc %{_mandir}/man3/FIFOSession.3cc.gz
%doc %{_mandir}/man3/MutexCounter.3cc.gz
%doc %{_mandir}/man3/StringTokenizer__iterator.3cc.gz
%doc %{_mandir}/man3/ThreadKey.3cc.gz
%doc %{_mandir}/man3/Body.3cc.gz
%doc %{_mandir}/man3/Poller.3cc.gz
%doc %{_mandir}/man3/Mutex.3cc.gz
%doc %{_mandir}/man3/ttystream.3cc.gz
%doc %{_mandir}/man3/Thread.3cc.gz
%doc %{_mandir}/man3/TimerPort.3cc.gz
%doc %{_mandir}/man3/UDPReceive.3cc.gz
%doc %{_mandir}/man3/SocketService.3cc.gz
%doc %{_mandir}/man3/CommandOptionNoArg.3cc.gz
%doc %{_mandir}/man3/Slog.3cc.gz
%doc %{_mandir}/man3/HTMLDocument.3cc.gz
%doc %{_mandir}/man3/SocketPort.3cc.gz
%doc %{_mandir}/man3/InetAddress.3cc.gz
%doc %{_mandir}/man3/Socket.3cc.gz
%doc %{_mandir}/man3/Entity.3cc.gz
%doc %{_mandir}/man3/Engine.3cc.gz
%doc %{_mandir}/man3/TTYSession.3cc.gz
%doc %{_mandir}/man3/CommandOptionWithArg.3cc.gz
%doc %{_mandir}/man3/Frameset.3cc.gz
%doc %{_mandir}/man3/XMLStream.3cc.gz
%doc %{_mandir}/man3/CommandOptionArg.3cc.gz
%doc %{_mandir}/man3/init_WSA.3cc.gz
%doc %{_mandir}/man3/CommandOptionParse.3cc.gz
%doc %{_mandir}/man3/Serial.3cc.gz
%doc %{_mandir}/man3/ThreadFile.3cc.gz
%doc %{_mandir}/man3/CommandOptionRest.3cc.gz
%doc %{_mandir}/man3/Digest.3cc.gz
%doc %{_mandir}/man3/Keydata.3cc.gz
%doc %{_mandir}/man3/TCPStream.3cc.gz
%doc %{_mandir}/man3/Engine__Exception.3cc.gz
%doc %{_mandir}/man3/UDPSocket.3cc.gz
%doc %{_mandir}/man3/BaseObject.3cc.gz
%doc %{_mandir}/man3/SerialService.3cc.gz
%doc %{_mandir}/man3/CRC16Digest.3cc.gz
%doc %{_mandir}/man3/UDPTransmit.3cc.gz
%doc %{_mandir}/man3/TCPSocket.3cc.gz
%doc %{_mandir}/man3/Writer.3cc.gz
%doc %{_mandir}/man3/URLStream.3cc.gz
%doc %{_mandir}/man3/TTYStream.3cc.gz
%doc %{_mandir}/man3/FixedBuffer.3cc.gz
%doc %{_mandir}/man3/AtomicCounter.3cc.gz
%doc %{_mandir}/man3/InetHostAddress.3cc.gz
%doc %{_mandir}/man3/MappedFile.3cc.gz
%doc %{_mandir}/man3/TCPSession.3cc.gz
%doc %{_mandir}/man3/StringTokenizer.3cc.gz
%doc %{_mandir}/man3/fifostream.3cc.gz
%doc %{_mandir}/man3/UDPBroadcast.3cc.gz
%doc %{_mandir}/man3/Pipe.3cc.gz
%doc %{_mandir}/man3/TypeManager__Registration.3cc.gz
%doc %{_mandir}/man3/BroadcastAddress.3cc.gz
%doc %{_mandir}/man3/Head.3cc.gz
%doc %{_mandir}/man3/ThreadLock.3cc.gz
%doc %{_mandir}/man3/ChecksumDigest.3cc.gz
%doc %{_mandir}/man3/TypeManager.3cc.gz
%doc %{_mandir}/man3/Dir.3cc.gz
%doc %{_mandir}/man3/Conditional.3cc.gz
%doc %{_mandir}/man3/RandomFile.3cc.gz
%doc %{_mandir}/man3/StringTokenizer__NoSuchElementException.3cc.gz
%doc %{_mandir}/man3/Event.3cc.gz
%doc %{_mandir}/man3/SerialPort.3cc.gz
%doc %{_mandir}/man3/MemPager.3cc.gz
%doc %{_mandir}/man3/Buffer.3cc.gz
%doc %{_mandir}/man3/UDPDuplex.3cc.gz
%doc %{_mandir}/man3/tcpstream.3cc.gz
%doc %{_mandir}/man3/CommandOption.3cc.gz
%doc %{_mandir}/man3/SharedFile.3cc.gz
%doc %{_mandir}/man3/DSO.3cc.gz
%doc %{_mandir}/man3/SharedMemPager.3cc.gz
%doc %{_mandir}/man3/Semaphore.3cc.gz
%doc %{_mandir}/man3/CommandOptionCollect.3cc.gz
%doc %{_mandir}/man3/InetMaskAddress.3cc.gz

%description -n commonc++
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets.  Common C++ also offers
individual frameworks generally useful to developing portable C++
applications including a object persistance engine, math libraries,
threading, sockets, etc.  Common C++ is small, and highly portable.
Common C++ will support most Unix operating systems as well
as Win32, in addition to GNU/Linux.

Authors:
--------
    David Sugar <dyfet@ostel.com>

SuSE series: d


%description -n commonc++-devel
This package contains include files, static libraries and some documentation
for the CommonC++ package. It is needed for developing and compiling CommonC++
applications.

Authors:
--------
    David Sugar <dyfet@ostel.com>

SuSE series: d


%changelog -n commonc++
* Wed Jul 04 2001 - rhafer@suse.de
- Updated to version 1.5.0
- some changes for gcc3.0
* Wed Jun 06 2001 - rhafer@suse.de
- Updated to version 1.4.3
- workaround for problem with pthread_delay_np()
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Apr 19 2001 - rhafer@suse.de
- Updated to version 1.4.1
* Thu Mar 29 2001 - schwab@suse.de
- Don't include kernel headers.
- Fix use of %%suse_update_config.
- Move *.so to devel package.
* Tue Mar 06 2001 - rhafer@suse.de
- renamed development package to commonc++-devel
- replaced static compiler flags with $RPM_OPT_FLAGS
* Mon Mar 05 2001 - rhafer@suse.de
- initial Version
